//
// Project UnReality: The First Nintendo 64 Emulator
// Copyright (C) 1997-1998, Cold Fusion Entertainment
// All rights reserved
//
// This source code is unpublished propietary information of Cold Fusion Entertainment.  No portion of this software
// may be disclosed to any third party or copied or duplicated in any form, in whole or in part, without the prior
// written consent of Cold Fusion Entertainment.
// 

//
// $Log: LFE_DATA.H $
// Revision 1.1  1998/03/08 19:10:20  unknown
// Initial revision
//

//---------------------------------------------------------------------------------------------------------------------

#ifndef LFE_DATA_H
#define LFE_DATA_H

#include <types.h>

#define LFE_osViSwapBufferSize		76
#define LFE_osViSwapBufferSkip		72

#ifdef NO_EXTERN_LFE

ushort LFE_osViSwapBuffer[LFE_osViSwapBufferSize] = {
	0x0027, 0x00BD, 0x00FF, 0x00E0,
	0x00AF, 0x00BF, 0x0000, 0x0014,
	0x000C, 0x0100, 0x0100, 0x0100,
	0x00AF, 0x00A4, 0x0000, 0x0020,
	0x003C, 0x000F, 0x0100, 0x0100,
	0x008D, 0x00EF, 0x0100, 0x0100,
	0x008F, 0x00AE, 0x0000, 0x0020,
	0x00AF, 0x00A2, 0x0000, 0x001C,
	0x003C, 0x0018, 0x0100, 0x0100,
	0x00AD, 0x00EE, 0x0000, 0x0004,
	0x008F, 0x0018, 0x0100, 0x0100,
	0x0097, 0x0019, 0x0000, 0x0000,
	0x0037, 0x0028, 0x0000, 0x0010,
	0x00A7, 0x0008, 0x0000, 0x0000,
	0x000C, 0x0100, 0x0100, 0x0100,
	0x008F, 0x00A4, 0x0000, 0x001C,
	0x008F, 0x00BF, 0x0000, 0x0014,
	0x0027, 0x00BD, 0x0000, 0x0020,
	0x0003, 0x00E0, 0x0000, 0x0008
};

#else

extern ushort LFE_osViSwapBuffer[LFE_osViSwapBufferSize];

#endif

#endif
